<!DOCTYPE html>
<html>
  <head>
    <title>CRUD de Clientes</title>
    <meta charset="utf-8"/>
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <link href="/css/bootstrap.min.css" rel="stylesheet" />
  </head>
  <body>
    <h1>Listagem de Clientes</h1>
    <p>Clientes já cadastrados no sistema.</p>
    <div class="alert alert-success"></div>
    <table class="table table-striped table-bordered table-hover">
      <thead>
        <tr>
          <td>Nome</td>
          <td>Idade</td>
          <td>UF</td>
          <td>Ações</td>
        </tr>
      </thead>
      <tbody>
        <%if(!customer||customer.lenght == 0){%>
          <tr>
            <td colspan="4">Nenhum cliente cadastrado.</td>
          </tr>
        <% } else{
          customer.forEach(function(customer){ %>
            <tr>
              <td><%=customer.nome%></td>
              <td><%=customer.idade%></td>
              <td><%=customer.uf%></td>
              <td>
                <a href="/edit/<%=customer._id%>" class="btn btn-info btn-xs"><span class="glyphicon glyphcon-edit"></span>Editar</a>
                <a href="/delete/<%=customer._id %>" class="btn btn-danger btn-xs" onclick="return confirm('Tem certeza?');"><span class="glyphicon glyphcon-remove"></span>Excluir</a>
              </td>
            </tr>
          <% })  
        }%>          
      </tbody>
    </table>
    <a href="/new" class="btn btn-primary" >Cadastrar Novo</a>
    <script src="/js/jquery-3.3.1.min.js"></script>
    <script src="/js/bootstrap.min.js"></script>
    <script src="/js/scripts-index.js"></script>
  </body>
</html>
